Bug 189731 - Some DVD media cause hdparm using_dma flag to reset.
Some DVD media cause hdparm using_dma flag to reset.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-23 21:06 EDT by Philippe A
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 21:03:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe A 2006-04-23 21:06:36 EDT
Description of problem:

I came to realize that closing my dvd drive while particular media is in the
tray automatically resets the drive's hdparm using_dma flag. I ended burning at
1X many times because of that.

Version-Release number of selected component (if applicable):

2.6.15-1.1833_FC4

How reproducible:

Always

Steps to Reproduce:

0. The problem happens particular media, namely Video DVD-Rs that failed to burn
properly for a reason I have yet to discover. (These disks will play in my
living room reader, but they won't on my computer as dvd video because player
won't find VIDEO_TS.IFO. The dvd can be mounted and data can be read, including
that supposedly IFO file. DVD+RW burned from the same image data works ok).

1. sudo hdparm -c1 -d1 -u1 -a8 -k1 /dev/hdc && hdparm -v /dev/hdc && eject &&
hdparm -v /dev/hdc && sleep 5 && eject -T && hdparm -v /dev/hdc 
  
Actual results:

using_dma flag gets silently resets when the drive is closed.

/dev/hdc:
 IO_support   =  1 (32-bit)
 unmaskirq    =  1 (on)
 using_dma    =  0 (off)
 keepsettings =  1 (on)
 readonly     =  0 (off)
 readahead    =  8 (on)

Some messages from the kernel.

Apr 23 19:34:26 phil kernel: hdc: irq timeout: status=0xd0 { Busy }
Apr 23 19:34:26 phil kernel: ide: failed opcode was: unknown
Apr 23 19:34:26 phil kernel: hdc: DMA disabled
Apr 23 19:34:26 phil kernel: hdc: ATAPI reset complete

Expected results:

The media shouldn't affect the drive that way. using_dma must stay set like
other flags regardless of media state.

Additional info:

My DVD drive model is HL-DT-ST DVDRAM GSA-H10A. It was purchased one week ago.
Comment 1 Dave Jones 2006-09-16 23:18:40 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:33:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Philippe A 2006-10-31 21:03:24 EST
I have upgraded to Fedora Core 6 since I have reported this bug. I am no longer
capable of reproducing that problem.

Note You need to log in before you can comment on or make changes to this bug.